/*
	Game Categories v 12.0
	Copyright (C) 2009, Bubbletune

	game_categories_libc.h: scePaf Libc Functions
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GAME_CATEGORIES_LIBC_H__
#define __GAME_CATEGORIES_LIBC_H__
#include <systemctrl.h>

int paf_sprintf(char *, const char *, ...);
void *paf_malloc(int);
void paf_free(void *);
void *paf_memcpy(void *, void *, int);
void *paf_memset(void *, char, int);
int paf_strlen(char *);
char *paf_strcpy(char *, char*);
unsigned int paf_strtoul(char *, void *, int);

#endif

