/*
	Game Categories v 12.0
	Copyright (C) 2009, Bubbletune

	main.c (kernel): Main implementation of kernel module
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <pspsdk.h>
#include <pspkernel.h>
#include <string.h>
#include <stdio.h>
#include <systemctrl.h>
#include <systemctrl_se.h>
#include <game_categories.h>

PSP_MODULE_INFO("XMBHideFolderKernel", 0x1007, 0, 0);

SceUID HideIoDopen(const char *dirname);

int module_start(SceSize args, void *argp)
{
	// Patch kernel exports
	gcLibKernelPatchExport("sceIOFileManager", "IoFileMgrForKernel", 0xB29DDF9C, HideIoDopen);
	sceKernelDcacheWritebackAll();
	sceKernelIcacheClearAll();
	return 0;
}

